<?php

declare(strict_types=1);


namespace App\Arbitration\Inner;


use App\Exchanges\MarketInterface;

class ArbitrationChain
{

    /**
     * @var MarketInterface[]
     */
    private array $markets;

    public function __construct(MarketInterface ...$markets)
    {
        $this->markets = $markets;
    }

    /**
     * @return MarketInterface[]
     */
    public function getMarkets(): array
    {
        return $this->markets;
    }
}