<?php

declare(strict_types=1);


namespace App\Utils\Money;


class CurrencyPair
{

    private Currency $base;
    private Currency $quote;

    public function __construct(Currency $base, Currency $quote)
    {
        $this->base = $base;
        $this->quote = $quote;
    }

    public function getBase(): Currency
    {
        return $this->base;
    }

    public function getQuote(): Currency
    {
        return $this->quote;
    }
}